#ifndef __VERIFY_HEAD_
#define __VERIFY_HEAD_
/*********************************************
Date : 2021/11/11
Author : blstcvLiu
Description : Verify capture framerate drop when using two camera with multiple groups app(cap-tee-queue-bin);
*********************************************/
/*********************************************
Date : 2022/12/20
Author : blstcvLiu
Description : Verify Memory leak caused by using the nvvideoconvert plug-in
*********************************************/
#include <gst/gst.h>
#include <gst/video/videooverlay.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <stdio.h>
#include <termios.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/time.h>
#include <math.h>
#include <list>
#include <pthread.h>

#include "gst/pbutils/pbutils.h"
#include "gst/pbutils/encoding-profile.h"
#include "gst/pbutils/encoding-target.h"

#if 0
typedef struct _CamPipeManager
{
    int camera_id;

    GstElement *cam_pipeline;
    
    GstElement *capture_bin;
    GstElement *camera_src;
    GstElement *camera_filter;

    GstElement *tee;
    GstElement *queue[4];

    GstElement *appsink[4];
    GstElement *videoconvert[4];
    GstElement *convertcaps[4];
    GstElement *appbin[4];

}CamPipeManager;
#endif

typedef struct _SplicePipeManager
{
    GstElement *irsplice_datasource_pipeline;
    GstElement *irsplice_appsrc;
    GstElement *irsplice_vidconv;
    GstElement *irsplice_vidconv_out_filter;
    GstElement *irsplice_zoom_conv;
    GstElement *irsplice_zoom_conv_out_filter;
    GstElement *irsplice_appsink;
}SplicePipeManager;

































#endif